%define _description__ \
Mock is a Python module which provides a core mock class. It removes the need \
to create a host of stubs throughout your test suite. After performing an \
action, you can make assertions about which methods / attributes were used and \
arguments they were called with. You can also specify return values and set \
needed attributes in the normal way. \

Name:           python-mock
Version:        4.0.3
Release:        2
Summary:        A Python Mocking and Patching Library for Testing
License:        BSD
URL:            http://www.voidspace.org.uk/python/mock/
Source0:        https://pypi.python.org/packages/source/m/mock/mock-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools python3-pbr python3-unittest2 python3-pytest

%description
%{_description__}

%package -n     python3-mock
Summary:        Python3 subpackage for %{name}
%{?python_provide:%python_provide python3-mock}
Requires:       python3-pbr python3-six >= 1.9.0

%description -n python3-mock
This is the python3 subpackage for %{name}.
%{_description__}

%prep
%autosetup -n mock-%{version} -p1

%build
%{py3_build}

%check
%{__python3} setup.py test ||:

%install
%{py3_install}

%files -n python3-mock
%license LICENSE.txt
%{python3_sitelib}/{*.egg-info,mock}

%changelog
* Wed Oct 26 2022 zhangruifang <zhangruifang1@h-partners.com> - 4.0.3-2
- Rebuild for next release

* Mon Feb 1 2021 shangyibin <shangyibin1@huawei.com> - 4.0.3-1
- Upgrade to version 4.0.3

* Tue Sep 20 2020 liuweibo <liuweibo10@huawei.com> - 4.0.2-3
- Fix Source0 

* Thu Aug 20 2020 tianwei <tianwei12@huawei.com> - 4.0.2-2
- Don't require funcsigs on python3, it's part of the standard library

* Sat Jul 25 2020 tianwei <tianwei12@huawei.com> - 4.0.2-1
- Package update to 4.0.2

* Thu Oct 17 2019 huzhiyu <huzhiyu1@huawei.com> - 2.0.0-11
- Package init
